Javadoc Banner

javadoc-banner.h
Go to the documentation of this file.
1 /**
2 * A brief history of JavaDoc-style (C-style) comments.
3 *
4 * This is the typical JavaDoc-style C-style comment. It starts with two
5 * asterisks.
6 *
7 * @param theory Even if there is only one possible unified theory. it is just a
8 * set of rules and equations.
9 */
10 void cstyle( int theory );
11
12 /*******************************************************************************
13 * A brief history of JavaDoc-style (C-style) banner comments.
14 *
15 * This is the typical JavaDoc-style C-style "banner" comment. It starts with
16 * a forward slash followed by some number, n, of asterisks, where n > 2. It's
17 * written this way to be more "visible" to developers who are reading the
18 * source code.
19 *
20 * Often, developers are unaware that this is not (by default) a valid Doxygen
21 * comment block!
22 *
23 * However, as long as JAVADOC_BLOCK = YES is added to the Doxyfile, it will
24 * work as expected.
25 *
26 * This style of commenting behaves well with clang-format.
27 *
28 * @param theory Even if there is only one possible unified theory. it is just a
29 * set of rules and equations.
30 ******************************************************************************/
31 void javadocBanner( int theory );
32
33 /***************************************************************************//**
34 * A brief history of Doxygen-style banner comments.
35 *
36 * This is a Doxygen-style C-style "banner" comment. It starts with a "normal"
37 * comment and is then converted to a "special" comment block near the end of
38 * the first line. It is written this way to be more "visible" to developers
39 * who are reading the source code.
40 * This style of commenting behaves poorly with clang-format.
41 *
42 * @param theory Even if there is only one possible unified theory. it is just a
43 * set of rules and equations.
44 ******************************************************************************/
45 void doxygenBanner( int theory );
doxygenBanner
void doxygenBanner(int theory)
A brief history of Doxygen-style banner comments.
cstyle
void cstyle(int theory)
A brief history of JavaDoc-style (C-style) comments.
javadocBanner
void javadocBanner(int theory)
A brief history of JavaDoc-style (C-style) banner comments.